unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DXSprite, DXDraws, DXClass, ExtCtrls;

type
  TForm1 = class(TForm)
    DXDraw1: TDXDraw;
    DXTimer1: TDXTimer;
    grafika: TDXImageList;
    engines: TDXSpriteEngine;
    Panel1: TPanel;
    Panel2: TPanel;
    procedure DXTimer1Timer(Sender: TObject; LagCount: Integer);
    procedure DXDraw1Initializing(Sender: TObject);
    procedure DXDraw1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure DXDraw1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  ludzik:TImageSprite;
implementation

{$R *.dfm}

procedure TForm1.DXTimer1Timer(Sender: TObject; LagCount: Integer);
begin
Dxdraw1.Surface.Fill(0);
Engines.engine.Move(lagcount);
Engines.engine.Draw;
Dxdraw1.flip;
end;

procedure TForm1.DXDraw1Initializing(Sender: TObject);
begin
Ludzik:=TImageSprite.Create(engines.engine);
with ludzik do
 begin
  Image:=grafika.Items[0];
  Width:=46;
  Height:=43;
  X:=320;
  Y:=200;
  PixelCheck:=true;
 end;
end;

procedure TForm1.DXDraw1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
panel2.Caption:=inttostr(X)+'  '+IntToStr(Y);

if engines.Engine.GetSpriteAt(X,Y)=ludzik then
 begin
 panel1.Visible:=true;
 panel1.top:=Y+5;
 panel1.left:=X+5;
 end else
 panel1.Visible:=false;
end;
procedure TForm1.DXDraw1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if engines.Engine.GetSpriteAt(X,Y)=ludzik then
 begin
 panel1.Visible:=true;
 panel1.top:=Y;
 panel1.left:=X;
 panel2.Caption:='Klik';
 end;
end;

end.
